Zum Inhalt springen
AchaduDevelopers
Developers/API/offer_update
Angebote

Angebot aktualisieren

Aktualisiert nur die übermittelten Felder.

PATCH/offers/{id}offers:write

Anfrage

idstring · pathRessourcenbezeichner.obligatorisch
urlstring · bodyUrsprüngliche HTTPS-URL für das Produkt.optional
titlestring · bodyÖffentlicher Titel des Angebots.optional
marketplacestring · bodyQuellmarktplatz.optional
pricenumber · bodyAktueller Preis.optional
original_pricenumber · bodyVorheriger Preis.optional
currencystring · bodyISO 4217-Währung.optional
imagestring · bodyHTTPS-URL des Bildes.optional
storestring · bodyShopname.optional
categorystring · bodyKategorie.optional
couponstring · bodyGutscheincode.optional
copystring · bodyRedaktioneller Text des Angebots.optional
statusstring · bodyKuratierter Status.optional

Beispiel

curl
curl -X PATCH 'https://achadu.com/api/v1/offers/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string"
}'

Antwort

200Vorgang abgeschlossen
4xxFehler mit Code, Nachricht und request_id